<?php $title="Formulas and proof syntax";
   include("header.inc"); ?>
The propositional variables are identifiers beginning with a lowercase letter, such as : a, b, p, q.
<br>
The logical connectives are :
<table>
<tr valign="top">
<td>
<table border cellpadding="4" cellspacing="2">
<tr>
<td><font color=blue><tt> . </tt></font></td>
<td>conjunction</td>
</tr>
<tr>
<td><font color=blue><tt> + </tt></font></td>
<td>disjunction</td>
</tr>
</table>
</td>

<td>
<table border cellpadding="4" cellspacing="2">
<tr>
<td><font color=blue><tt>=></tt></font></td>
<td>implication</td>
</tr>
<tr>
<td><font color=blue><tt><=></tt></font></td>
<td>equivalence</td>
</tr>
</table>
</td>

<td>
<table border cellpadding="4" cellspacing="2">
<tr>
<td><font color=blue><tt> - </tt></font></td>
<td>negation</td>
</tr>
</table>
</td>

<td>
<table border cellpadding="4" cellspacing="2">
<tr>
<td><font color=blue><tt>F</tt></font></td>
<td>false</td>
</tr>
</table>
</td>

<td>
<table border cellpadding="4" cellspacing="2">
<tr>
<td><font color=blue><tt>[]</tt></font></td>
<td>necessary</td>
</tr>
</table>
</td>

<td>
<table border cellpadding="4" cellspacing="2">
<tr>
<td><font color=blue><tt><></tt></font></td>
<td>possibly</td>
</tr>
</table>
</td>



</tr>
</table>





The operator priority are : (high) <tt>- [] <>  & + => <=></tt> (low).
<br>
Between two identical operations, the left operation is prioritary, except for implication.
<p>
<table border cellpadding="4" cellspacing="2">
<tr>
<td>
<table>
<tr>
<td><i>A</i> . <i>B</i> .  <i>C</i></td>
<td> is </td>
<td>(<i>A</i> . <i>B</i>).  <i>C</i></td>
</tr>
<tr>
<td><i>A</i> <tt>+</tt> <i>B</i> <tt>+</tt> <i>C</i></td>
<td>is</td>
<td>(<i>A</i> <tt>+</tt> <i>B</i>) <tt>+</tt> <i>C</i></td>
</tr>
<tr>
<td><i>A</i> <tt>=></tt> <i>B</i> <tt>=></tt> <i>C</i></td>
<td>is</td>
<td><i>A</i> <tt>=></tt> (<i>B</i> <tt>=></tt> <i>C)</i></td>
</tr>
<tr>
<td><tt>[]</tt><i>A</i><tt>=></tt><i>B</i> 
<td>is</td>
<td>(<tt>[]</tt><i>A</i>)<tt>=></tt><i>B</i> </td>
</tr>
</table>
</td>
<td>
<table>
<tr>
<td><i>A</i> . <i>B</i> <tt>+</tt> <i>C</i></td>
<td>is</td>
<td>(<i>A</i> . <i>B</i>) <tt>+</tt> <i>C</i></td>
</tr>
<tr>
<td><i>A</i> . <i>B</i> <tt>=></tt> 
  <i>C</i> <tt>+</tt> <i>D</i></td>
<td>is</td>
<td>(<i>A</i> . <i>B</i>) <tt>=></tt> 
  (<i>C</i> <tt>+</tt> <i>D</i>)</td>
</tr>
<tr>
<td><tt>-</tt> <i>A</i> <tt>+</tt> <i>B</i></td>
<td>is</td>
<td>(<tt>-</tt> <i>A</i>) <tt>+</tt> <i>B</i></td>
</tr>
<tr>
<td><tt><></tt> <i>A</i> <tt>+</tt> <i>B</i></td>
<td>is</td>
<td>(<tt><></tt> <i>A</i>) <tt>+</tt> <i>B</i></td>
</tr>
</table>
</td>
</tr>
</table>


To prove a formula <tt><font color=blue>A</font></tt>, we try to build a model of
<tt><font color=blue>- A</font></tt> (the negation of <tt><font color = blue>A</font></tt>) by the
given <a href="rules.php">rules</a>.<br>
This proof attempt is a tree of branches. The main branch starts with the assumption
<tt><font color=blue>1:-A</font></tt> : the state <tt><font color = blue> 1 </font></tt>
of the model must satisfy the formula <tt><font color=blue>-A</font></tt>.
The other branches are starting with <tt><font color = blue>case i</font></tt>
where <tt><font color = blue>
i </font></tt> is the name of the branch, and are terminating (are closed) with
<tt><font color=blue>end case i</font></tt>, when there is no model of the branch, because
there is, on this branch, an assumption <tt><font color=blue>e:F</font></tt>, that is a state
<tt><font color = blue>e</font></tt> satisfying the formula <tt><font color=blue>F</font></tt>
always insatisfiable.<br>
Let's suppose that a branch contains the assumption <tt><font color = blue>e : A+B</font></tt>.
When applying the disjunction rule to this assumption, we are creating two branches, one with the
assumption <tt><font color = blue>e:A</font></tt> and the other with the assumption
<tt><font color = blue>e:B</font></tt>. We do the same with the disjunctive assumptions
<tt><font color = blue>e:(A =>B), e:-(A.B), e:-(A <=> B)</font></tt>




<?php include("footer.inc"); ?>
